Upstream information

CVE-2016-0634 at MITRE

Description

The expansion of '\h' in the prompt string in bash 4.3 allows remote authenticated users to execute arbitrary code via shell metacharacters placed in 'hostname' of a machine.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6 5.1
Vector AV:N/AC:M/Au:S/C:P/I:P/A:P AV:N/AC:H/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium High
Authentication Single None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required Low
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1000396 [RESOLVED / FIXED], 1001299 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Openstack Cloud Magnum Orchestration 7
  • bash >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
Patchnames:
SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2018-977
SUSE CaaS Platform ALL
  • bash >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
Patchnames:
SUSE-CAASP-ALL-2018-977
SUSE Enterprise Storage 4
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-Storage-4-2018-977
SUSE Linux Enterprise Desktop 12 SP1
  • bash >= 4.2-82.1
  • bash-doc >= 4.2-82.1
  • bash-lang >= 4.2-82.1
  • libreadline6 >= 6.2-82.1
  • libreadline6-32bit >= 6.2-82.1
  • readline-doc >= 6.2-82.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1681
SUSE Linux Enterprise Desktop 12 SP3
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • bash-lang >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-DESKTOP-12-SP3-2018-977
SUSE Linux Enterprise Module for Containers 12
  • sles12-docker-image >= 1.1.4-20171002
  • sles12sp1-docker-image >= 1.0.7-20171002
Patchnames:
SUSE-SLE-Module-Containers-12-2017-1672
SUSE-SLE-Module-Containers-12-2017-1673
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-POS-12-SP2-CLIENT-2018-977
SUSE Linux Enterprise Server 11 SP4
  • bash >= 3.2-147.29.1
  • bash-doc >= 3.2-147.29.1
  • bash-x86 >= 3.2-147.29.1
  • libreadline5 >= 5.2-147.29.1
  • libreadline5-32bit >= 5.2-147.29.1
  • libreadline5-x86 >= 5.2-147.29.1
  • readline-doc >= 5.2-147.29.1
Patchnames:
slessp4-bash-12959
SUSE Linux Enterprise Server 12 SP1
  • bash >= 4.2-82.1
  • bash-doc >= 4.2-82.1
  • libreadline6 >= 6.2-82.1
  • libreadline6-32bit >= 6.2-82.1
  • readline-doc >= 6.2-82.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1681
SUSE Linux Enterprise Server 12 SP2-BCL
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-977
SUSE Linux Enterprise Server 12 SP2-ESPOS
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-977
SUSE Linux Enterprise Server 12 SP2-LTSS
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-977
SUSE Linux Enterprise Server 12 SP3
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-977
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • bash >= 3.2-147.29.1
  • bash-doc >= 3.2-147.29.1
  • bash-x86 >= 3.2-147.29.1
  • libreadline5 >= 5.2-147.29.1
  • libreadline5-32bit >= 5.2-147.29.1
  • libreadline5-x86 >= 5.2-147.29.1
  • readline-doc >= 5.2-147.29.1
Patchnames:
slessp4-bash-12959
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • bash >= 4.2-82.1
  • bash-doc >= 4.2-82.1
  • libreadline6 >= 6.2-82.1
  • libreadline6-32bit >= 6.2-82.1
  • readline-doc >= 6.2-82.1
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1681
SUSE Linux Enterprise Server for SAP Applications 12 SP2
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SAP-12-SP2-2018-977
SUSE Linux Enterprise Server for SAP Applications 12 SP2-BCL
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-BCL-2018-977
SUSE Linux Enterprise Server for SAP Applications 12 SP2-ESPOS
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-ESPOS-2018-977
SUSE Linux Enterprise Server for SAP Applications 12 SP2-LTSS
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP2-2018-977
SUSE Linux Enterprise Server for SAP Applications 12 SP3
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SERVER-12-SP3-2018-977
SUSE Linux Enterprise Software Development Kit 11 SP4
  • bash >= 3.2-147.29.1
  • libreadline5 >= 5.2-147.29.1
  • readline-devel >= 5.2-147.29.1
  • readline-devel-32bit >= 5.2-147.29.1
Patchnames:
sdksp4-bash-12959
SUSE Linux Enterprise Software Development Kit 12 SP1
  • bash >= 4.2-82.1
  • bash-devel >= 4.2-82.1
  • readline-devel >= 6.2-82.1
Patchnames:
SUSE-SLE-SDK-12-SP1-2016-1681
SUSE Linux Enterprise Software Development Kit 12 SP3
  • bash >= 4.3-83.10.1
  • bash-devel >= 4.3-83.10.1
  • readline-devel >= 6.3-83.10.1
Patchnames:
SUSE-SLE-SDK-12-SP3-2018-977
SUSE Linux Enterprise Workstation Extension 12 SP1
  • bash >= 4.2-82.1
  • bash-lang >= 4.2-82.1
Patchnames:
SUSE-SLE-WE-12-SP1-2016-1681
SUSE Linux Enterprise Workstation Extension 12 SP3
  • bash >= 4.3-83.10.1
  • bash-lang >= 4.3-83.10.1
Patchnames:
SUSE-SLE-WE-12-SP3-2018-977
SUSE OpenStack Cloud 7
  • bash >= 4.3-83.10.1
  • bash-doc >= 4.3-83.10.1
  • libreadline6 >= 6.3-83.10.1
  • libreadline6-32bit >= 6.3-83.10.1
  • readline-doc >= 6.3-83.10.1
Patchnames:
SUSE-OpenStack-Cloud-7-2018-977
openSUSE Leap 42.1
  • bash >= 4.2-81.1
  • bash-debuginfo >= 4.2-81.1
  • bash-debuginfo-32bit >= 4.2-81.1
  • bash-debugsource >= 4.2-81.1
  • bash-devel >= 4.2-81.1
  • bash-doc >= 4.2-81.1
  • bash-lang >= 4.2-81.1
  • bash-loadables >= 4.2-81.1
  • bash-loadables-debuginfo >= 4.2-81.1
  • libreadline6 >= 6.2-81.1
  • libreadline6-32bit >= 6.2-81.1
  • libreadline6-debuginfo >= 6.2-81.1
  • libreadline6-debuginfo-32bit >= 6.2-81.1
  • readline-devel >= 6.2-81.1
  • readline-devel-32bit >= 6.2-81.1
  • readline-doc >= 6.2-81.1
Patchnames:
openSUSE-2016-1374
openSUSE Leap 42.3
  • bash >= 4.3-83.6.1
  • bash-debuginfo >= 4.3-83.6.1
  • bash-debuginfo-32bit >= 4.3-83.6.1
  • bash-debugsource >= 4.3-83.6.1
  • bash-devel >= 4.3-83.6.1
  • bash-doc >= 4.3-83.6.1
  • bash-lang >= 4.3-83.6.1
  • bash-loadables >= 4.3-83.6.1
  • bash-loadables-debuginfo >= 4.3-83.6.1
  • libreadline6 >= 6.3-83.6.1
  • libreadline6-32bit >= 6.3-83.6.1
  • libreadline6-debuginfo >= 6.3-83.6.1
  • libreadline6-debuginfo-32bit >= 6.3-83.6.1
  • readline-devel >= 6.3-83.6.1
  • readline-devel-32bit >= 6.3-83.6.1
  • readline-doc >= 6.3-83.6.1
Patchnames:
openSUSE-2018-516


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 2.0 bash Released
CaaS Platform 3.0 bash Released
OpenStack Cloud Magnum Orchestration 7.0 bash Released
SUSE Linux Enterprise Desktop 12 SP1 bash Released
SUSE Linux Enterprise Desktop 12 SP2 bash Unsupported
SUSE Linux Enterprise Desktop 12 SP3 bash Released
SUSE Linux Enterprise SDK 11 SP4 bash Released
SUSE Linux Enterprise SDK 12 GA bash Affected
SUSE Linux Enterprise SDK 12 SP1 bash Released
SUSE Linux Enterprise SDK 12 SP2 bash Unsupported
SUSE Linux Enterprise SDK 12 SP3 bash Released
SUSE Linux Enterprise Server 10 SP4 LTSS bash Affected
SUSE Linux Enterprise Server 11 SP2 LTSS bash Affected
SUSE Linux Enterprise Server 11 SP3 LTSS bash Affected
SUSE Linux Enterprise Server 11 SP4 bash Released
SUSE Linux Enterprise Server 12 GA LTSS bash Affected
SUSE Linux Enterprise Server 12 SP1 bash Released
SUSE Linux Enterprise Server 12 SP2 bash Unsupported
SUSE Linux Enterprise Server 12 SP2 LTSS bash Released
SUSE Linux Enterprise Server 12 SP3 bash Released
SUSE Linux Enterprise Server for SAP Applications 12 SP2 bash Released
SUSE Linux Enterprise Workstation Extension 12 GA bash Affected
SUSE Linux Enterprise Workstation Extension 12 SP1 bash Released
SUSE Linux Enterprise Workstation Extension 12 SP2 bash Unsupported
SUSE Linux Enterprise Workstation Extension 12 SP3 bash Released